Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Scanner

    java.lang.Object
      java.io.StreamTokenizer
          Scanner

    public class Scanner

extends java.io.StreamTokenizer

Scannerobjekt für das Parser-Subsystem - erstellt auf der Basis der Java-Bibliotheksklasse StreamTokenizer

Field Summary
`int` | `Symbol`
`static int` | `TT_ADDRESS`
`static int` | `TT_DIV`
`static int` | `TT_ERROR`
`static int` | `TT_FUNKTION`
`static int` | `TT_LBRAK`
`static int` | `TT_LPAREN`
`static int` | `TT_MINUS`
`static int` | `TT_MULT`
`static int` | `TT_PLUS`
`static int` | `TT_RBRAK`
`static int` | `TT_RPAREN`

Fields inherited from class java.io.StreamTokenizer
`nval, sval, TT_EOF, TT_EOL, TT_NUMBER, TT_WORD, ttype`

Constructor Summary
`Scanner(java.io.Reader in)`

Method Summary
`protected boolean` | `isAdresse(java.lang.String s)` prüft, ob der übergebene String eine gültige Adresse ist
`protected boolean` | `isBereichOp(java.lang.String s)` prüft, ob der übergebene String ein gültiger Bereichsoperator ist (nicht benutzt)
`protected boolean` | `isFunktion(java.lang.String s)` prüft, ob der übergebene String ein gültiger Funktionsname ist
`void` | `nextSymbol()` Hauptmethode des Scanners - wird von Parser gerufen, wenn das nächste Symbol verarbeitet werden soll

Methods inherited from class java.io.StreamTokenizer
`commentChar, eolIsSignificant, lineno, lowerCaseMode, nextToken, ordinaryChar, ordinaryChars, parseNumbers, pushBack, quoteChar, resetSyntax, slashSlashComments, slashStarComments, toString, whitespaceChars, wordChars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TT_PLUS

    public static final int TT_PLUS

See Also:
  Constant Field Values

### TT_MINUS

    public static final int TT_MINUS

See Also:
  Constant Field Values

### TT_MULT

    public static final int TT_MULT

See Also:
  Constant Field Values

### TT_DIV

    public static final int TT_DIV

See Also:
  Constant Field Values

### TT_LPAREN

    public static final int TT_LPAREN

See Also:
  Constant Field Values

### TT_RPAREN

    public static final int TT_RPAREN

See Also:
  Constant Field Values

### TT_LBRAK

    public static final int TT_LBRAK

See Also:
  Constant Field Values

### TT_RBRAK

    public static final int TT_RBRAK

See Also:
  Constant Field Values

### TT_ADDRESS

    public static final int TT_ADDRESS

See Also:
  Constant Field Values

### TT_FUNKTION

    public static final int TT_FUNKTION

See Also:
  Constant Field Values

### TT_ERROR

    public static final int TT_ERROR

See Also:
  Constant Field Values

### Symbol

    public int Symbol

Constructor Detail

### Scanner

    public Scanner(java.io.Reader in)

Method Detail

### isFunktion

    protected boolean isFunktion(java.lang.String s)

  prüft, ob der übergebene String ein gültiger Funktionsname ist

### isBereichOp

    protected boolean isBereichOp(java.lang.String s)

  prüft, ob der übergebene String ein gültiger Bereichsoperator ist (nicht benutzt)

### isAdresse

    protected boolean isAdresse(java.lang.String s)

  prüft, ob der übergebene String eine gültige Adresse ist

### nextSymbol

    public void nextSymbol()

  Hauptmethode des Scanners - wird von Parser gerufen, wenn das nächste Symbol verarbeitet werden soll

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD